- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 39e5c3f0-59a3-4fe3-9f17-1dc1f02f2635
    creation_time: 2023-02-17T12:14:27.899326Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark51_polynomial.c
      input_file_hashes:
        c/loop-zilu/benchmark51_polynomial.c: 6b4a05020521254f0bed5892834e5d98c28256d6e4278b601ab1e30ddf2fd90f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark51_polynomial.c
    file_hash: 6b4a05020521254f0bed5892834e5d98c28256d6e4278b601ab1e30ddf2fd90f
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: 0 <= x && x <= 50
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8b9dfb34-5d21-4e19-851a-02ee8a089ae8
    creation_time: 2023-02-17T12:14:27.899651Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark51_polynomial.c
      input_file_hashes:
        c/loop-zilu/benchmark51_polynomial.c: 6b4a05020521254f0bed5892834e5d98c28256d6e4278b601ab1e30ddf2fd90f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark51_polynomial.c
    file_hash: 6b4a05020521254f0bed5892834e5d98c28256d6e4278b601ab1e30ddf2fd90f
    line: 32
    column: 0
    function: main
  location_invariant:
    string: x >= 0 && x <= 50
    type: assertion
    format: C

